# -*- coding:Utf-8 -*-
import es, ConfigParser

class Config:
    """Classe Config qui recupere les differentes configurations possible du script"""
    def __init__(self, file):
        self.file = file # Fichier de configuration a ouvrir
        self.config = ConfigParser.ConfigParser() # Instantiation du module ConfigParser
        self.config.read(es.getAddonPath('sorrow') + '/configuration/%s.ini'%(file)) # Ouverture du fichier de configuration
    def get(self, section, option): # Classe qui me permet de récupéré les infos dont j'ai besoin
        """Retourne les informations demander"""
        has_section = self.config.has_section(section) # Vérifie si la section éxiste
        if has_section == True: # Si oui je récupére l'option
            has_option = self.config.has_option(section, option)
            if has_option == True:
                return self.config.get(section, option) # Et je la renvoi
            else:
                return False
        else: # Sinon je renvoi false
            return False